//
// USER OVERRIDES
// This file should be appended to the Betterfox's user.js file!
//

// PREF: restore Firefox accounts
user_pref("identity.fxaccounts.enabled", true);

// PREF: Push API seems to be needed for Sync
user_pref("dom.push.enabled", true);

// PREF: allow site notifications
user_pref("dom.push.enabled", true);
user_pref("permissions.default.desktop-notification", 0);

// PREF: allow websites to ask you for your location
user_pref("permissions.default.geo", 0);

// PREF: disable reset prompt
user_pref("browser.disableResetPrompt", true);

// PREF: hide bookmark bar
user_pref("browser.toolbars.bookmarks.visibility", "never");

// PREF: enable session restore
user_pref("browser.startup.page", 3);

// PREF: enable mousewheel click autoscrolling 
user_pref("general.autoScroll", true);

// PREF: restore thumbnail shortcuts on the New Tab page / Firefox Home
user_pref("browser.newtabpage.activity-stream.feeds.topsites", true);
user_pref("browser.newtabpage.activity-stream.feeds.section.highlights", true);
user_pref("browser.newtabpage.activity-stream.topSitesRows", 2);

// PREF: disable alt-menu
user_pref("ui.key.menuAccessKeyFocuses", false);

// PREF: enable hardware video acceleration via VA-API on Linux
//user_pref("media.ffmpeg.vaapi.enabled", true); // [LINUX]

// PREF: re-enable disk caching (improves performance)
user_pref("browser.cache.disk.enable", true);

// PREF: disable webcam/microphone indicator
user_pref("privacy.webrtc.legacyGlobalIndicator", false);

// PREF: enable context SVG properties
user_pref("svg.context-properties.content.enabled", true);

//
// LIBREWOLF OVERRIDES
// This section contains additional overrides for LibreWolf default settings
//

// PREF: disable cookies clear on shutdown
user_pref("privacy.clearOnShutdown.cookies", false);

// PREF: disable browsing and download history clear on shutdown
user_pref("privacy.clearOnShutdown.history", false);
user_pref("privacy.clearOnShutdown.downloads", false);